Subject: Re: bug#47630: Improve guix manual installation docs

From: Eric Brown <[email-masked]>
Date: Tue, 08 Jun 2021 12:48:42 -0500

bo0od <[email-masked]> writes:

> Hi There,
>
> Checking here:
>
> https://guix.gnu.org/manual/en/html_node/Manual-Installation.html
>
> This section actually misses alot of commands and its not nice to give
> only hint commands and leave step by step explanation e.g:
>
> https://guix.gnu.org/manual/en/html_node/Keyboard-Layout-and-Networking-and-Partitioning.html
>
> "parted /dev/sda set 1 esp on"
>
> This command wont work without labeling the partition "parted /dev/sda
> -- mklabel gpt" and so on..
>
> This mean user cant copy and paste he need to figure out the errors
> while hes follow the documentation because it doesn't give to the user 
> the full picture.
>
> I suggest to take a look at NixOS docs which goes step by step without
> jumping any necessary one:
>
> https://nixos.org/manual/nixos/stable/index.html#sec-installation-partitioning
>
> (Unclear documentation causes unsolvable or ambiguous questions from
> users and its troublesome to the support team to re-add the missing 
> parts of the docs in their support.(Assuming they figured out where is
> the issue user is falling in.))
>
> ThX!

If you would have rolled your suggestions into a patch, then your
support team would not have to keep re-implementing it.